MINARA

Create a factor evaluation algorithm configuration

POST /v1/factors/evaluation-algorithm-configurations — Creates an immutable owner-scoped configuration from fixed evaluator modules. Arbitrary statistical code is not accepted

POST /v1/factors/evaluation-algorithm-configurations

Creates an immutable owner-scoped configuration from fixed evaluator modules. Arbitrary statistical code is not accepted.

MethodPOST
Path/v1/factors/evaluation-algorithm-configurations
AuthAuthorization: Bearer <token> required
Categoryresearch

Request body

{ "configuration": { "id": "custom-predictive", "name": "Custom Predictive", "version": 0, "evaluatorId": "time-series", "mode": "diagnostic", "modules": [] } }

Response body

{ "configuration": { "id": "custom-predictive", "version": 1, "checksum": "..." } }

On this page